%global	momorel 3

Summary:	A GNU tool for automatically configuring source code.
Name:		autoconf
Version:	2.59
Release:	%{momorel}m
License:	GPL
Group:		Development/Tools
Source:		http://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.bz2
NoSource:	0
URL:		http://www.gnu.org/software/autoconf/
BuildRequires:	sed, m4, emacs
Prereq(post,preun):	info
Requires:	gawk, m4, mktemp, perl, textutils
BuildArchitectures:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.
#'

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup -q -n autoconf-%{version}

%build
%configure
make
make check || make check VERBOSE=yes

%install
rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/autoconf.info.* %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/autoconf.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%{_bindir}/*
%{_infodir}/autoconf.info*
# don't include standards.info, because it comes from binutils...
%exclude %{_infodir}/standards*
%{_datadir}/autoconf
%{_datadir}/emacs/site-lisp/*
%{_mandir}/man1/*
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO

%changelog
* Thu Jun  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.59-3m)
- delete duplicated dir

* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.59-2m)
- seperate automake213 and automake
- obsolete automake-2.53

* Sat Aug  7 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.59-1m)
- update to 2.59

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.58-2m)
- revised spec for enabling rpm 4.2.

* Tue Dec  9 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.58-1m)
- update to 2.58

* Wed Sep 24 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.57-1m)
- version 2.57

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.56-7m)
- add URL

* Fri Jan 31 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.56-6m)
- revice %%post, %%preun

* Thu Jan 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.56-5m)
- check if $1 is 0 when deleting autoconf.info* from dir in %%preun
  thanks Blend <blend @ manabi.gr.jp>

* Mon Dec  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.56-4m)
- fix error around m4

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.56-3m)
- add autoconf-2.53
- divide autoconf-suppress-cpp-warning.patch into each version
- add autoconf-2.53-autoheader-warn.patch for autoconf-2.53 (from RedHat-8.0)
- change data directory from /usr/share/autoconf to /usr/share/autoconf-2.56
- replace embedded build directory names to "/usr/src/momonga"

* Sat Nov 30 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.56-2m)
- add BuildRequires: libtool, but this make dependency loop with libtool?

* Sun Nov 24 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.56-1m)
- update to 2.56
- add redhat compatible old commands(autoconf-2.13, autoheader-2.13, ...)
- import patches for 2.13 from redhat-8.0(autoconf213-4). 
  autoconf-throw.patch is replaced with autoconf-2.13-c++exit.patch.
  patches are:
   autoconf-2.13-c++exit.patch
   autoconf-2.13-headers.patch
   autoconf-2.13-autoscan.patch
   autoconf-2.13-exit.patch
   autoconf-2.13-wait3test.patch
   autoconf-2.13-make-defs-62361.patch

* Sun May 26 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.53-6m)
- add BuildRequires

* Sat May 25 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.53-4k)
- suppress cpp warning(Patch2)

* Wed May 22 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (2.53-2k)
- removed mawk patch (no longer needed)

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.52-10k)
- /sbin/install-info -> info in PreReq.

* Fri Oct 12 2001 Motonobu Ichimura <famao@kondara.org>
- (2.52-9k)
- up to 2.52d and other stuff

* Fri Aug 31 2001 Motonobu Ichimura <famao@kondara.org>
- merging autoconf 2.13 and autoconf 2.52

* Tue Apr  3 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- applied throw patch

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Sun Jul  2 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.6.0

* Sun Feb 27 2000 Kenichi Matsubara <m@kondara.org>
- modified %files section.

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to help autoconf clean after itself and not leave /tmp clobbered
  with acin.* and acout.* files (can you say annoying?)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- use gawk, not mawk

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- moved /usr/lib/autoconf to /usr/share/autoconf (with automake)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.13.

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires perl

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- patch for fixing /tmp race conditions

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built with glibc

